curl --request POST \
--url https://call.aiployees.com/api/user/knowledgebases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'{
"message": "Knowledgebase created successfully.",
"data": {
"id": 1,
"name": "Product Documentation",
"description": "Technical documentation for our products",
"status": "empty",
"status_label": "Empty",
"created_at": "2025-01-08T10:30:00.000000Z",
"updated_at": "2025-01-08T10:30:00.000000Z"
}
}
Create a new knowledgebase
curl --request POST \
--url https://call.aiployees.com/api/user/knowledgebases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'{
"message": "Knowledgebase created successfully.",
"data": {
"id": 1,
"name": "Product Documentation",
"description": "Technical documentation for our products",
"status": "empty",
"status_label": "Empty",
"created_at": "2025-01-08T10:30:00.000000Z",
"updated_at": "2025-01-08T10:30:00.000000Z"
}
}
Show data properties
empty for new knowledgebases){
"message": "Knowledgebase created successfully.",
"data": {
"id": 1,
"name": "Product Documentation",
"description": "Technical documentation for our products",
"status": "empty",
"status_label": "Empty",
"created_at": "2025-01-08T10:30:00.000000Z",
"updated_at": "2025-01-08T10:30:00.000000Z"
}
}